=== util/Makefile ===

all: aufs.5
aufs.5: aufs.in.5 ./c2tmac
	${RM} $@
	./c2tmac > $@
	cat aufs.in.5 >> $@
	chmod a-w $@

.INTERMEDIATE: c2tmac.o
#c2tmac.o: CFLAGS += -I ../include
c2tmac.o: c2tmac.c ../include/linux/aufs_type.h

clean:
	${RM} c2tmac aufs.5 *~ .*~
