=== modules/aufs-cvs/fs/aufs/Makefile ===
# AUFS Makefile for the Linux 2.6.16 and later

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := super.o sbinfo.o xino.o branch.o opts.o \
	cpup.o wh.o wkq.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o
#xattr.o kobj.o
aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o
