=== modules/loop-aes/ciphers/tmp-d-kbuild/Makefile ===
obj-m:=loop_twofish.o loop_serpent.o loop_blowfish.o
