=== modules/loop-aes/loop-AES/tmp-d-kbuild/Makefile ===
loop-y:=patched-loop.o glue.o aes-x86.o md5-x86.o
EXTRA_CFLAGS:=    -DCONFIG_BLK_DEV_LOOP_KEYSCRUB=1 -DX86_ASM
obj-m:=loop.o
