=== debian/aufs-knoppix-source/usr/src/modules/aufs-knoppix/debian/changelog ===
aufs-knoppix (20060807-1) unstable; urgency=low

  * Initial release of aufs.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 20 Aug 2006 21:39:28 +0200

unionfs-knoppix (20060221-0341) unstable; urgency=low

  * Upgrade to new snapshot version

 -- Klaus Knopper <knoppix@knopper.net>  Thu, 23 Feb 2006 21:33:37 +0100

unionfs-knoppix (20060215-0551) unstable; urgency=low

  * Upgrade to new snapshot version

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 17 Feb 2006 21:32:32 +0100

unionfs-knoppix (20050921-1517) unstable; urgency=low

  * Using current snapshot with off-by-one-kmalloc fix by Junjiro Okajima
  * Corrected unionfs_permission() by replacing vfs permission() call.
  * Added "chmod" copyup bugfix from Denis Lukianov

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 23 Sep 2005 12:39:28 +0200

unionfs-knoppix (1.0.11-3) unstable; urgency=low

  * Added patches from some snapshots after 1.0.11, especially MAGIC number

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 12 Sep 2005 04:10:07 +0200

unionfs-knoppix (1.0.11-2) unstable; urgency=low

  * Created unionfs fork based on unionfs-1.0.11 (the yet most stable version)

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 29 Aug 2005 02:02:46 +0200

unionfs (1.0.6-0) unstable; urgency=low

  * modified ndiswrapper debian/ for unionfs

 -- Alex de Landgraaf <alex@delandgraaf.com>  Sun,  9 Jan 2005 17:45:19 +0100

ndiswrapper (0.12+1.0rc1-1) unstable; urgency=low

  * Built for kernel-image-2.6.9.

 -- Andres Salomon <dilinger@voxel.net>  Wed, 29 Dec 2004 03:06:16 -0500
