=== debian/changelog ===
aufs-cvs (20060911-1) unstable; urgency=low

  * New upstream version

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 17 Sep 2006 16:37:51 +0200

aufs-cvs (20060904-1) unstable; urgency=low

  * New upstream version
  * Changed unionfs->aufs (no more COMPAT)

 -- Klaus Knopper <knoppix@knopper.net>  Fri,  8 Sep 2006 00:36:36 +0200

aufs-cvs (20060828-1) unstable; urgency=low

  * Initial release of aufs.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 20 Aug 2006 21:39:28 +0200
