=== loop-aes/debian/changelog ===
loop-aes (3.1d-12) unstable; urgency=low

  * Update modules to 2.6.18-3 
  * Provide usage information for loop-aes-runtests
  * Reenable keyscrub by default

 -- Max Vozeler <xam@debian.org>  Fri, 24 Nov 2006 20:11:06 +0100

loop-aes (3.1d-11) unstable; urgency=low

  * Update modules to 2.6.18-2
  * Add manpage for loop-aes-runtests
  * Make loop-aes-runtest quiet by default, add -v
  * Set maintainer to Debian Loop-AES Team

 -- Max Vozeler <xam@debian.org>  Thu,  9 Nov 2006 19:13:31 +0100

loop-aes (3.1d-10) unstable; urgency=low

  * Update the package name for dpkg-divert. (Closes: #392841)
  * Drop conflicts with loop-aes-ciphers-$KVERS

 -- Max Vozeler <xam@debian.org>  Sun, 15 Oct 2006 17:35:09 +0200

loop-aes (3.1d-9) unstable; urgency=low

  * Update to 2.6.18-1
  * Respect modules: False in arch defines. (Closes: #390554)
  * Use a hardlink for loop-aes.ko -> loop.ko

 -- Max Vozeler <xam@debian.org>  Sat,  7 Oct 2006 17:55:18 +0200

loop-aes (3.1d-8) unstable; urgency=low

  * Revert back to 2.6.17-2 for upload to unstable

 -- Max Vozeler <xam@debian.org>  Sun,  1 Oct 2006 18:59:30 +0200

loop-aes (3.1d-7) experimental; urgency=low

  * Update to 2.6.18-1
  * Build-depend on fakeroot

 -- Max Vozeler <xam@debian.org>  Thu, 28 Sep 2006 18:14:02 +0200

loop-aes (3.1d-6) experimental; urgency=low

  * Include symlink loop-aes.ko -> loop.ko
  * Change short description to include @class@
  * Only include NEWS in loop-aes-source

 -- Max Vozeler <xam@debian.org>  Sun, 24 Sep 2006 19:53:00 +0200

loop-aes (3.1d-5) experimental; urgency=low

  * Use linux-support infrastructure
  * Merge loop-aes-source and loop-aes-modules
  * No longer build udebs

 -- Max Vozeler <xam@debian.org>  Wed, 22 Sep 2006 12:20:54 +0200

loop-aes-source (3.1d-4) unstable; urgency=low

  * Rename module packages to loop-aes-modules-$KVERS and add 
    corresponding Conflicts/Replaces.
  * Split loop-AES runtime test suite into a separate package.
  * Drop support for DEB_BUILD_OPTIONS=udeb
  * Update to standards version 3.7.2 (no changes)

 -- Max Vozeler <xam@debian.org>  Mon,  7 Aug 2006 15:24:49 +0200

loop-aes-source (3.1d-3) unstable; urgency=low

  * No longer pass CC to the loop-AES/ciphers Makefiles. 
    Doing so breaks builds for parisc64 kernels (hppa).

 -- Max Vozeler <xam@debian.org>  Sat, 29 Apr 2006 20:39:42 +0200

loop-aes-source (3.1d-2) unstable; urgency=low

  * Add information about loading the module on boot to
    README.Debian. (Closes: #363522)
  * Make sure debian/rules in loop-aes.tar.bz2 is executable
  * debian/rules: Add noop build target
  * debian/control: Build-depend on debhelper

 -- Max Vozeler <xam@debian.org>  Fri, 28 Apr 2006 10:11:57 +0200

loop-aes-source (3.1d-1) unstable; urgency=low

  * New upstream release (3.1d, ciphers 3.0d)
  * patches/10_kbuild_str_2.6.16:
    - Included upstream

 -- Max Vozeler <xam@debian.org>  Mon, 10 Apr 2006 17:04:31 +0200

loop-aes-source (3.1c-5) unstable; urgency=low

  * Include README.modules in /usr/share/doc/loop-aes-source
    and add information about the new checkfs-loop init script.

 -- Max Vozeler <xam@debian.org>  Mon, 10 Apr 2006 03:30:01 +0200

loop-aes-source (3.1c-4) unstable; urgency=low

  * patches/10_kbuild_str_2.6.16:
    Add patch to fix builds for kernel 2.6.16 (Closes: #358568)

 -- Max Vozeler <xam@debian.org>  Thu, 23 Mar 2006 15:57:05 +0100

loop-aes-source (3.1c-3) unstable; urgency=low

  * Include a dummy debian/patches/00list. (Closes: #354204)

 -- Max Vozeler <xam@debian.org>  Sat, 25 Feb 2006 18:20:13 +0100

loop-aes-source (3.1c-2) unstable; urgency=low

  * Install upstream changelogs
  * Rename directories in modules/ to not include version numbers.
  * reqsrc() is no longer needed, install m-a override (default.sh)
  * Install 2.6 modules into /lib/modules/$(KERNEL)/updates and
    remove obsolete diversions on upgrade.

 -- Max Vozeler <xam@debian.org>  Sun, 22 Jan 2006 14:23:20 +0100

loop-aes-source (3.1c-1) unstable; urgency=low

  * New upstream release

 -- Max Vozeler <xam@debian.org>  Mon, 12 Dec 2005 16:27:15 +0100

loop-aes-source (3.1b-8) unstable; urgency=low

  * Drop recommends on kernel-source 
  * Some work on the package descriptions

 -- Max Vozeler <xam@debian.org>  Mon, 12 Dec 2005 15:35:37 +0100

loop-aes-source (3.1b-7) unstable; urgency=low

  * Updated documentation to reflect that linux-headers are
    now sufficient to build loop-AES.
  * Autoload loop.ko in the testsuite

 -- Max Vozeler <xam@debian.org>  Sat, 10 Dec 2005 02:58:39 +0100

loop-aes-source (3.1b-6) unstable; urgency=low

  * This version can build with -headers
  * Generate module dependencies also for non-running kernels
    (inspired by alsa-driver)
  * Remove code for upgrading from pre-sarge versions

 -- Max Vozeler <xam@debian.org>  Tue,  1 Nov 2005 16:50:47 +0100

loop-aes-source (3.1b-5) unstable; urgency=low

  * debian/patches/v3.1b-20051020.dpatch:
    + Added. Includes XEN fix.
  * debian/patches/xen_oops_wbinvd.dpatch:
    + Removed.

 -- Max Vozeler <xam@debian.org>  Thu, 20 Oct 2005 18:17:08 +0200

loop-aes-source (3.1b-4) unstable; urgency=low

  * Install udeb modules into the correct /lib/modules directory

 -- Max Vozeler <xam@debian.org>  Wed, 19 Oct 2005 15:55:33 +0200

loop-aes-source (3.1b-3) unstable; urgency=low

  * debian/patches/xen_oops_wbinvd.dpatch:
    + Prevent use of the wbinvd instruction when building
      for XEN kernels. (Closes: #331507)

 -- Max Vozeler <xam@debian.org>  Sun,  9 Oct 2005 21:47:06 +0200

loop-aes-source (3.1b-2) unstable; urgency=low

  * Depend on dpatch (>= 2.0.0) for the new patch system 
    introduced in 3.1b-1

 -- Max Vozeler <xam@debian.org>  Mon,  3 Oct 2005 13:58:43 +0200

loop-aes-source (3.1b-1) unstable; urgency=low

  * New upstream release (loop-AES v3.1b)
  * Merge with package -ciphers-source
  * Build loop-AES and ciphers with shared modverdir
  * Add get-orig-source target


