=== madwifi/debian/changelog ===
madwifi (1:0.9.2+r1842.20061207-2) unstable; urgency=high

  * Add upstream revision 1847 as a new dpatch to completely fix
    CVE-2006-6332; thanks Luk Claes; closes: #402836.

 -- Loic Minier <lool@dooz.org>  Thu, 14 Dec 2006 20:44:37 +0100

madwifi (1:0.9.2+r1842.20061207-1) unstable; urgency=medium

  * New upstream SVN snapshot
    - buffer overflow exploit fixed (CVE-2006-6332)
  * Urgency medium to allow security fix to propogate to testing asap.

 -- Kel Modderman <kelmo@kanotixguide.org>  Fri,  8 Dec 2006 08:06:01 +1000

madwifi (1:0.9.2+r1809.20061115-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - fixes TARGET determination for powerpc (Closes: #398241)

 -- Kel Modderman <kelmo@kanotixguide.org>  Wed, 15 Nov 2006 19:24:39 +1000

madwifi (1:0.9.2+r1784.20061027-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - new binary HAL version 0.9.18.0 with support for more chipsets
  * Change of uploaders email address.
  * Fix madwifi-ng-tools typo. [debian/control]
  * Remove mention of files relicensed upstream in 'Problematic' section of
    copyright. [debian/copyright]

 -- Kel Modderman <kelmo@kanotixguide.org>  Mon, 30 Oct 2006 14:07:36 +1000

madwifi (1:0.9.2+r1710.20060914-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - HAL version 0.9.18.0
    - support for pci-e chipsets
  * Add epoch to alow better representation of upstream source version.
  * Purge madwifi-tools from non-free source package. [debian/madwifi-tools.*,
    debian/rules, debian/control]
  * Fix copyright => _everything_ in /hal directory is subject to the legally
    "immutable" license. [debian/copyright]
  * Remove slh from uploaders at his request. He has no relationship with this
    package whatsoever any more. [debian/control*]
  * Remove dummy SNAPSHOT file hack in favour of a planned version schema +
    get-orig-source target, useful for grabbing snapshot tarballs. Please do
    not use an SVN export to build future orig.tar.gz's for this package.
    [debian/rules]

 -- Kel Modderman <kelmo@kanotixguide.org>  Sun,  1 Oct 2006 23:00:02 +1000

madwifi (0.svnr1697.0.9.2-1) unstable; urgency=low

  * New upstream release.
    - compiles against current 2.6.18 tree
  * Add some shell code to make a dummy SNAPSHOT file for the case when we
    decide to base this package on an svn export or snapshot (it is almost
    always the case!). [debian/rules]
  * Also remove $(CC) override in build/madwifi-tools. [debian/rules]
  * Add upstream URL to long description of each binary package.
    [debian/control]

 -- Kel Modderman <kelrin@tpg.com.au>  Sat,  5 Aug 2006 12:09:19 +1000

madwifi (0.svnr1680.0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Exclude .svn stuff from orig.tar.gz and resulting module tarball.
    [debian/rules] (Closes: #374401)
  * Add some further links to documentation section of madwifi-source
    README.Debian.
  * Remove $(CC) and $(LD) overrides, madwifi upstream is now behaving in that
    regard. [debian/rules.modules]
  * Disable dpatch system and remove dependency. [debian/control, debian/rules]
  * Build depend on debhelper >= 5.0.37, so that dh_installmodules always
    creates correct postinst and postrm scripts. [debian/control*]
  * madwifi-tools do not depend on ifupdown to function properly, therefore it
    should only be recommended. [debian/control]
  * madwifi-source suggests madwifi-tools, madwifi-source and madwifi-tools
    suggest madwifi-doc. [debian/control]
  * Add a note to madwifi-source.README.debian about possible upgrade
    conflicts with the unofficial packages from http://debian.marlow.dk/.
    (Closes: #375962)
  * Remove dh_installdebconf from rules.modules, it is unused.
    [debian/rules.modules]

 -- Kel Modderman <kelrin@tpg.com.au>  Sat,  8 Jul 2006 20:53:14 +1000

madwifi (0.svnr1644.0.9.0-2) unstable; urgency=low

  [ Kel Modderman ]
  * Modules only depend on equal to or greater than source version of
    madwifi-tools, to avoid upgrade path problems.

  [ Loic Minier ]
  * Drop the version in the Depends altogether.

 -- Loic Minier <lool@dooz.org>  Fri, 16 Jun 2006 10:41:45 +0200

madwifi (0.svnr1644.0.9.0-1) unstable; urgency=medium

  [ Kel Modderman ]
  * New upstream SVN snapshot.
    - new HAL (0.9.17.2)
    - enhanced Makefile/kbuild build system
  * s/MODULEPATH/KMODPATH/ in debian/rules.modules.
  * Global renaming of madwifi-ng => madwifi. The old madwifi codebase has
    been deprecated upstream, we should not confuse our own users.This also
    eliminates a large source of upgrade difficulties. [debian/*]
  * Update copyright file to include details of new HAL binaries and BSD
    licensed files. [debian/copyright]
  * Use debhelper compat level of 5 (dh_installmodules requires the most recent
    debhelper to function correctly). [debian/control*]
  * Include official upstream release version number in our debian revision.
  * Adjust watch file for new debian revision number scheme.

  [ Loic Minier ]
  * Don't prune .svn dirs in this upload as it breaks the upstream build
    system for SVN snapshot; upstream ticket #694.

 -- Loic Minier <lool@dooz.org>  Wed, 14 Jun 2006 11:28:03 +0200

madwifi (0.svnr1587.20060521-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Add workaround patches to current upstream scanning problems:
    - active scanning patch from #275.
    - setmode delay patch from #228.
  * Allow patches subdir of madwifi upstream to be in debian tarball. It is
    working now. [debian/rules]
  * Remove Conflicts: fields from control files.
    [debian/control, debian/control.modules.in]
  * Remove madwifi-ng-dev, it is not satisfying any build dependency.
    [debian/control, debian/madwifi-ng-dev.*]
  * Introduce madwifi-ng-doc, it will contain the users-guide documentation.
    [debian/control, debian/madwifi-ng-doc.docs]
  * Make wlanconfig verbose when asked for. [debian/ifupdown/pre-up]

