=== modules/aufs-cvs/debian/changelog ===
aufs-cvs (20061113-1) unstable; urgency=low

  * New upstream version

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 13 Nov 2006 07:14:07 +0100
