=== modules/madwifi-svn/debian/changelog ===
madwifi (1:0.9.2+r1866-1) unstable; urgency=low

  * SVN update

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 20 Nov 2006 09:36:15 +0100

madwifi (1:0.9.2+r1710.20060914-2) unstable; urgency=low

  * SVN version.

 -- Klaus Knopper <knoppix@knopper.net>  Mon,  6 Nov 2006 23:22:35 +0100
