=== modules/ndiswrapper-svn/debian/changelog ===
ndiswrapper (1:1.32knoppix-1) unstable; urgency=low

  *  Update to new upstream SVN version.

 -- Klaus Knopper <knoppix@knopper.net>  Sat, 23 Dec 2006 19:10:46 +0100

ndiswrapper (1.23-2) unstable; urgency=low

  * SVN Version

 -- Klaus Knopper <knoppix@knopper.net>  Mon,  6 Nov 2006 23:33:15 +0100

ndiswrapper (1.23-1) unstable; urgency=low

  * New upstream release.

 -- Kel Modderman <kelrin@tpg.com.au>  Sat, 12 Aug 2006 21:11:06 +1000

ndiswrapper (1.22-1) unstable; urgency=low

  * New upstream release.
  * Stop carrying trivial patch series, new upstream changes allow this. Details
    follow.
  * Disable simple-patchsys cdbs class.
  * DIST_DESTDIR can be used in place of INST_DIR in rules.modules, and also
    disables depmod from being run.
  * The 'version' file has been removed, utils and driver versions are now
    defined in driver/ndiswrapper.h. Drop path fixup patch and adjust rules
    sed line to suit.
  * Remove custom clean: function in rules, there are no upstream debian files
    now.
  * Replace $(cdbs_curpkg) with real package name in debian/rules
    ndiswrapper-utils target.
  * Make /usr/sbin/ndiswrapper dash friendly. (Closes: #381544)

 -- Kel Modderman <kelrin@tpg.com.au>  Sun,  6 Aug 2006 01:47:51 +1000

ndiswrapper (1.21-1) unstable; urgency=low

  [Kel Modderman]
  * New upstream release. (Closes: #379685)
  * Add myself to Uploaders.
  * Bump Standards version to 3.7.2, debhelper compat level to 5.
  * Build depend on debhelper >=5.0.37 and use the dh_installmodules helper
    instead of the hand crafted postinst.modules.in (Closes: #377058)
  * Add NEWS file detailing the status of wpa_supplicant with recent
    ndiswrapper versions. (Closes: #372125)
  * Slightly modify the short descriptions for the binary packages. This
    probably does not go as far as the reporter would like, but its an
    improvement. (Closes: #364848)
  * Update the long description of the binary packages with the current blurb
    from the ndiswrapper homepage.
  * Add upstream URL to long descriptions of the binary packages.

 -- Kel Modderman <kelrin@tpg.com.au>  Wed, 26 Jul 2006 21:43:07 +1000

ndiswrapper (1.18-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 01 Jul 2006 23:19:28 +0000

ndiswrapper (1.17-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Tue, 06 Jun 2006 17:05:30 +0000

ndiswrapper (1.16-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright at Giridhar's request.
  * Drop postinst script that's meant to handle ndiswrapper < 1.0; 1.1-4
    is in sarge, so we no longer have to handle older upgrade paths.

 -- Andres Salomon <dilinger@debian.org>  Sun, 14 May 2006 06:50:22 +0000

ndiswrapper (1.15-1) unstable; urgency=low

  * New upstream release (closes: #358421).
  * Drop ndiswrapper-common's dependency on ndiswrapper-utils-*; that was
    accidental (closes: #365810).
  * Drop ndiswrapper-utils, and rename ndiswrapper-utils-1.7 to -1.8.
  * Override $(KBUILD) when building modules.
  * Fix typo in README.Debian (closes: #353021).

 -- Andres Salomon <dilinger@debian.org>  Mon, 08 May 2006 00:58:15 -0400

ndiswrapper (1.8-2) unstable; urgency=low

  * Add ndiswrapper-utils-1.7, and make ndiswrapper-utils a
    dummy/transitional package.  Handle conflicting files
    w/ wrapper scripts (loadndisdriver) and diversions.
  * Drop ndiswrapper-buginfo; there are some, er, issues w/ it.
  * Add ndiswrapper-common, for wrapper scripts.  Throw some manpages
    in w/ the wrapper scripts.
  * Update FSF copyright address to make lintian shut up.

 -- Andres Salomon <dilinger@debian.org>  Mon, 17 Apr 2006 16:54:17 -0400

ndiswrapper (1.8-1) unstable; urgency=low

  * New upstream release (closes: #345694).
 
 -- Andres Salomon <dilinger@debian.org>  Fri, 20 Jan 2006 22:30:55 +0000

ndiswrapper (1.5-1) unstable; urgency=low

  * New upstream release (closes: #337024).
 
 -- Andres Salomon <dilinger@debian.org>  Thu, 03 Nov 2005 05:15:30 +0000

ndiswrapper (1.4-1) unstable; urgency=low

  * New upstream release.
  * Add clean rule to nuke upstream's debian cruft.
 
 -- Andres Salomon <dilinger@debian.org>  Sat, 08 Oct 2005 21:24:07 -0400

ndiswrapper (1.2+1.3rc1-1) unstable; urgency=low

  * New upstream release.
  * Get rid of some bashisms in various scripts (closes: #307836).
 
 -- Andres Salomon <dilinger@debian.org>  Sun, 28 Aug 2005 04:52:13 -0400

ndiswrapper (1.1-4) unstable; urgency=low

  * Argh, missed a bit w/ amd64 support; it should build now.
 
 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2005 15:32:12 -0400

ndiswrapper (1.1-3) unstable; urgency=low

  * Fix postinst in cases where an upgrade is being done, but
    /etc/ndiswrapper/* is empty (or non-existant) (closes: #303992).
  * Make ndiswrapper-modules' dep on -utils a little less strict.
 
 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2005 08:05:17 -0400

ndiswrapper (1.1-2) unstable; urgency=low

  * Add amd64 support, by popular request (all 2 of you).
  * Since there are now multiple architectures; make -source package
    arch: all.
 
 -- Andres Salomon <dilinger@debian.org>  Fri, 08 Apr 2005 15:09:08 -0400

ndiswrapper (1.1-1) unstable; urgency=low

  * New upstream release; "Breaking Ian's machine" (closes: #300784).
  * Add /usr/sbin/ndiswrapper-buginfo.
  * Make generated ndiswrapper-modules package have a versioned depend
    on ndiswrapper-utils.. Just in case.
  * Add postinst to ndiswrapper-utils to deal w/ change in config file
    names.  Sigh.
  * Change ndiswrapper-modules provide to be versioned, so that
    ndiswrapper-utils can depend upon specific versions.
  * Update maintainer address.

 -- Andres Salomon <dilinger@debian.org>  Sat, 26 Mar 2005 03:42:05 -0500

ndiswrapper (0.12+1.0rc2-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@voxel.net>  Sun, 09 Jan 2005 19:40:16 -0500


