=== modules/rt2x00-cvs-2006103115/debian/changelog ===
rt2x00-cvs (2006103115-1) unstable; urgency=low

  * Update to new upstream version.

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 31 Oct 2006 23:57:01 +0100

rt2x00-cvs (2006082014-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Knoppix User <knoppix@Knoppix>  Sun, 20 Aug 2006 22:12:40 +0200
