=== ndiswrapper/debian/changelog ===
ndiswrapper (1.28-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Introduce m4 templates plus maintainer script (m4-control) to make
    adapting to new upstream ndiswrapper-utils versions easier.
  * Drop all debhelper files for ndiswrapper-utils-VERS, instead handle the
    installation of required files in debian/rules only.
  * Use distclean target in kdist_clean.
  * Change of co-maintainer email address.
  * Correctly annotate LGPL licensed portion of upstream files in
    debian/copyright.
  * Create /etc/ndiswrapper directory in ndiswrapper-common to stop
    `ndiswrapper -l' from complaining on first use.

  [ Andres Salomon ]
  * Ack NMU (closes: #389171).
  * Drop 01_shut_up_perl_debug.patch.

 -- Kel Modderman <kelmo@kanotixguide.org>  Mon, 30 Oct 2006 17:06:10 +1000

ndiswrapper (1.23-1.1) unstable; urgency=medium

  * Non-maintainer upload, BSP Zurich/Switzerland
  * Use now "make distclean" instead of "make clean" (Closes: #389171).

 -- Mario Iseli <admin@marioiseli.com>  Sat, 07 Oct 2006 15:31:45 +0200
