=== debian/control ===
Source: aufs-knoppix
Section: knoppix
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 4.1.0), bzip2
Standards-Version: 3.6.1

Package: aufs-knoppix-utils
Architecture: i386
Recommends: kernel-image-2.6.18, aufs-knoppix-module-2.6.18
Provides: aufs-utils, unionfs-utils
Description: Aufs/Unionfs userspace utilities
 This package contains the aufs utilities for handling stacked directories
 via the aufs kernel module. You will probably also want to build and
 install the aufs module for your kernel.
 
Package: aufs-knoppix-modules-2.6.18
Architecture: i386
Recommends: kernel-image-2.6.18, aufs-utils
Provides: aufs-module, unionfs-modules, unionfs-module
Description: Aufs/Unionfs linux kernel module
 This package contains the aufs loadable kernel modules for the
 kernel-image-2.6.18 package.
 .
 Aufs is a rewrite of unionfs, the kernel module fr overlaying directories
 on top of each other, transparently. It is syntax-compatible with unionfs
 (except for the module name).
 .
 If you compiled a custom kernel, you will most likely need to compile a
 custom version of this module as well. The aufs-source
 package has been provided for this purpose.
