=== loop-aes/debian/control ===
Source: loop-aes
Section: admin
Priority: optional
Maintainer: Debian Loop-AES Team <pkg-loop-aes-maint@lists.alioth.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0), module-assistant, bzip2, fakeroot
