=== madwifi/debian/control ===
Source: madwifi
Section: non-free/net
Priority: optional
Maintainer: Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>, Kel Modderman <kelmo@kanotixguide.org>, Matt Brown <mattb@debian.org>, Alex Wallis <awol@otaku42.de>
Build-Depends: cdbs, debhelper (>= 5.0.37), bzip2, dpatch
Standards-Version: 3.7.2

Package: madwifi-source
Architecture: all
Depends: module-assistant, debhelper (>= 5.0.37), bzip2
Suggests: kernel-package, madwifi-tools, madwifi-doc
Description: source for the Multiband Atheros Driver for WiFi
 This package provides the source code for the madwifi kernel modules.
 The madwifi-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.
 .
 http://madwifi.org/

Package: madwifi-doc
Section: non-free/doc
Replaces: madwifi-ng-doc
Architecture: all
Description: documentation for the Multiband Atheros Driver for WiFi
 This package provides the users-guide for the madwifi kernel modules and
 userspace tools. It is in pdf format.
 .
 http://madwifi.org/
