=== modules/loop-aes/debian/control ===
Source: loop-aes
Section: admin
Priority: optional
Maintainer: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>> 4.0.0), module-assistant
Standards-Version: 3.7.2

Package: loop-aes-modules-2.6.19
Architecture: any
Depends: loop-aes-utils (>= 2.12p-1)
Recommends: loop-aes-testsuite, kernel-image-2.6.19 | linux-image-2.6.19
Replaces: loop-aes-2.6.19, loop-aes-ciphers-2.6.19
Conflicts: loop-aes-2.6.19, loop-aes-ciphers-2.6.19
Provides: loop-aes-modules
Description: loop-AES encryption modules for kernel 2.6.19
 This package provides the loop-AES encryption modules for the
 Linux kernel version 2.6.19.
 .
 loop-AES can be used to encrypt disk partitions, removable media, 
 swap space and other devices. It provides measures to strengthen
 the encryption: Passphrase seeds, multiple hash iterations, MD5 IV
 and use of alternating encryption keys.
 .
 Encryption keys can be stored in a GnuPG-encrypted keyfile, which
 allows the passphrase to be changed without re-encryption. Keyfiles
 can also be encrypted asymmetrically for multi-user access.
 . 
 This package includes the cipher modules blowfish, twofish and 
 serpent in addition to the default cipher (AES).
 .
 If you compiled a custom kernel, you will most likely need to
 compile a custom version of these modules as well. The package
 loop-aes-source has been provided for this purpose.
