=== modules/madwifi-svn/debian/control ===
Source: madwifi
Section: non-free/net
Priority: optional
Maintainer: Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>, Kel Modderman <kelrin@tpg.com.au>, Matt Brown <debian@mattb.net.nz>, Alex Wallis <awol@otaku42.de>
Build-Depends: debhelper (>= 5.0.37), bzip2
Standards-Version: 3.7.2

Package: madwifi-modules-2.6.19
Architecture: any
Depends: madwifi-tools, linux-image-2.6.19 | kernel-image-2.6.19
Recommends: wireless-tools
Replaces: madwifi-ng-modules-2.6.19
Provides: madwifi-modules-2.6.19
Description: modules for the Multiband Atheros Driver for WiFi (kernel 2.6.19)
 This package contains the set of loadable kernel modules for Atheros
 based WiFi chipsets.
 .
 This package contains the compiled kernel modules for 2.6.19
 .
 If you have compiled your own kernel, you will most likely need to build
 your own madwifi-ng-modules. The madwifi-ng-source package has been
 provided for use with the Debian's module-assistant or kernel-package
 utilities to produce a version of madwifi-ng-module for your kernel.
