=== modules/ndiswrapper-svn/debian/control ===
Source: ndiswrapper
Section: misc
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Uploaders: Kel Modderman <kelrin@tpg.com.au>
Build-Depends: debhelper (>= 5.0.37), bzip2
Standards-Version: 3.7.2

Package: ndiswrapper-modules-2.6.19
Architecture: i386 amd64
Provides: ndiswrapper-common
Replaces: ndiswrapper-common
Provides: ndiswrapper-utils
Replaces: ndiswrapper-utils
Recommends: kernel-image-2.6.19
Description: Ndiswrapper linux kernel module
 This package contains the ndiswrapper loadable kernel modules for the
 kernel-image-2.6.19 package.
 .
 If you compiled a custom kernel, you will most likely need to compile a
 custom version of this module as well. The ndiswrapper-source
 package has been provided for this purpose.
