=== modules/rt2x00-cvs-2006103115/debian/control ===
Source: rt2x00-cvs
Section: unknown
Priority: optional
Maintainer: Knoppix User <knoppix@Knoppix>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.7.2

Package: rt2x00-cvs-modules-2.6.19
Architecture: any
Provides: rt2x00-cvs-modules
Description: rt2x00-cvs modules for Linux (kernel 2.6.19).
 This package contains the set of loadable kernel modules for the
 <description>.
 .
 This package contains the compiled kernel modules for 2.6.19
 .
 If you have compiled your own kernel, you will most likely need to build
 your own rt2x00-cvs-modules. The rt2x00-cvs-source package has been
 provided for use with the Debian's module-assistant or kernel-package
 utilities to produce a version of rt2x00-cvs-module for your kernel.
