=== src/linux-headers-2.6.19/debian/control ===
Source: linux-source-2.6.19
Section: devel
Priority: optional
Maintainer:  Klaus Knopper <knoppix@knopper.net>
Build-Depends: po-debconf, gettext, file
Standards-Version: 3.5.9.0

Package: linux-headers-2.6.19
Architecture: any
Depends: ${shlibs:Depends}
Section: devel
Priority: optional
Provides: linux-headers, linux-headers-2.6
Description: Header files related to Linux kernel, specifically,
 version 2.6.19
 .
 This package provides kernel header files for sites 
 that want the latest kernel headers for version 
 2.6.19.
 Please read 
 /usr/share/doc/linux-headers-2.6.19/debian.README.gz
 for details

Package: linux-source-2.6.19
Architecture: all
Section: devel
Priority: optional
Provides: linux-source, linux-source-2.6
Depends: binutils, bzip2, file
Recommends: libc6-dev | libc-dev, gcc, make, po-debconf, gettext
Suggests: libncurses-dev | ncurses-dev, kernel-package, xmlto
Description: Linux kernel source for version 2.6.19
 This package provides the source code for the Linux kernel, specifically,
 version 2.6.19.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file README.headers.gz in the documentation directory
 /usr/share/doc/linux-source-2.6.19/.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: linux-image-2.6.19
Architecture: i386
Section: base
Priority: optional
Provides: linux-image,  linux-image-2.6
Pre-Depends: debconf (>= 0.2.17) | debconf-2.0
Depends:  coreutils (>= 5.2.1)
Suggests:   fdutils, linux-doc-2.6.19 | linux-source-2.6.19 
Description: Linux kernel binary image for version 2.6.19
 This package contains the Linux kernel image for version 
 2.6.19.
 .
 It also contains the corresponding System.map file, and the modules
 built by the packager.  It also contains scripts that try to ensure
 that the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources. Please look at kernel-img.conf(5),
 and /usr/share/doc/kernel-package/README.gz  from the package kernel-package
 for details on how to tailor the  installation of this or any other kernel 
 image package

Package: linux-doc-2.6.19
Architecture: all
Section: doc
Priority: optional
Provides: linux-doc-2.6
Suggests: linux-image-2.6.19
Description: Linux kernel specific documentation for version 2.6.19
 This package provides various Readme's in the 2.6.19
 kernel Documentation/ subdirectory: these typically contain
 kernel-specific installation notes for some drivers. for
 example. Please see
 /usr/share/doc/linux-doc-X.X.XX/Documentation/00-INDEX
 for a list of contents.  Please also read the Changes file, as it
 contains information about the problems which may result by upgrading
 your kernel.

Package: linux-manual-2.6.19
Architecture: all
Section: doc
Priority: optional
Provides: linux-manual-2.6
Conflicts: linux-manual-2.6
Suggests: linux-image-2.6.19
Description: Linux kernel section 9 manual pages for version 2.6.19
 This package provides various Section 9 manual pages included with the kernel. 

Package: linux-uml-2.6.19
Architecture: i386
Section: base
Priority: optional
Provides: linux-uml,  linux-uml-2.6, user-mode-linux
Depends:  coreutils | fileutils (>= 4.0)
Suggests:   fdutils, kernel-doc-2.6.19 | kernel-source-2.6.19, uml-utilities
Conflicts: user-mode-linux (<= 2.6)
Replaces: user-mode-linux (<= 2.6)
Description: Linux uml kernel binary image for version 2.6.19
 This package contains the Linux uml kernel image for version 2.6.19
 and the modules built by the packager.  

Package: linux-xen0-2.6.19
Architecture: i386 
Section: base 
Priority: optional 
Provides: linux-xen0,  linux-xen0-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests:   fdutils, linux-doc-2.6.19 | linux-source-2.6.19 
Description: Linux xen kernel binary image for version 2.6.19 
 This package contains the Linux xen kernel image for version 2.6.19 
 and the modules built by the packager.

Package: linux-xenu-2.6.19
Architecture: i386 
Section: base 
Priority: optional 
Provides: linux-xenu,  linux-xenu-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests:   fdutils, linux-doc-2.6.19 | linux-source-2.6.19 
Description: Linux xen kernel binary image for version 2.6.19 
 This package contains the Linux xen kernel image for version 2.6.19 
 and the modules built by the  packager.
