=== madwifi/debian/rules ===
#!/usr/bin/make -f

PACKAGE := madwifi-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

# set ATH_RATE, rate module to link the module with 
# possible values for ATH_RATE are:-
# ath_rate/sample (default), ath_rate/onoe, ath_rate/amrr
ifeq ($(ATH_RATE),)
	ATH_RATE := ath_rate/sample
endif

.PHONY: kdist_config
kdist_config: prep-deb-files

.PHONY: binary-modules
binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
	
	# Build modules
	$(MAKE) -C $(CURDIR) modules \
	KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config ATH_RATE=$(ATH_RATE)
	
	# Install modules
	$(MAKE) -C $(CURDIR) install-modules \
	KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config ATH_RATE=$(ATH_RATE) \
	DESTDIR=$(CURDIR)/debian/$(PKGNAME) KMODPATH=/lib/modules/$(KVERS)/kernel/drivers/net

	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installmodules
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

.PHONY: kdist_clean
kdist_clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C $(CURDIR) clean \
	KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config ATH_RATE=$(ATH_RATE)
