=== modules/rt2x00-cvs-2006103115/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

PACKAGE=rt2x00-cvs-modules

KSRC=/usr/src/linux
KVERS=$(shell awk '/^(VERSION|PATCHLEVEL|SUBLEVEL|EXTRAVERSION) /{if($$3){if(version){version=version "."};version=version $$3}}END{print version}' $(KSRC)/Makefile)

binary: binary-indep binary-arch binary-modules

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) KERNEL_DIR="$(KSRC)" KERNDIR=$(KSRC) utils
	touch build-stamp

binary-modules:
	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	sed -e 's/_KVERS_/$(KVERS)/g' debian/control.modules.in > debian/control
	$(MAKE) KERNDIR=$(KSRC) KERNEL_DIR=$(KSRC) KVERSION=$(KVERS)
	dh_installdirs -p rt2x00-cvs-modules-$(KVERS) lib/modules/$(KVERS)/kernel/drivers/net/wireless/rt2x00
	cp *.ko $(CURDIR)/debian/rt2x00-cvs-modules-$(KVERS)/lib/modules/$(KVERS)/kernel/drivers/net/wireless/rt2x00/
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installchangelogs CHANGELOG -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) KERNDIR=$(KSRC) KERNEL_DIR="$(KSRC)" clean
	-dh_clean
	rm -rf debian/rt2x00-cvs-?.?.?* debian/rt2x00-cvs debian/rt2x00-cvs-modules debian/rt2x00-cvs-modules-?.?.* debian/*.files knoppix

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p rt2x00-cvs-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p rt2x00-cvs-src usr/src/modules/rt2x00-cvs
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{compat,control*,copyright,rules,dirs,changelog},CHANGELOG,README} | tar -x -C debian/rt2x00-cvs-src/usr/src/modules/rt2x00-cvs
	dh_fixperms -i
	cd debian/rt2x00-cvs-src/usr/src ; tar -cf - modules | bzip2 -9 > rt2x00-cvs.tar.bz2 ; rm -rf modules

binary-arch: build install build-deb

binary-indep: install-src build-indep

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build-indep: configure-stamp install-src
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	dh_installchangelogs CHANGELOG -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:
