=== rtai/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpc/ppc/)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# RTAIs own prefix handling
RTAI_PREFIX=/usr/lib/realtime

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# Name of package
package		= rtai
# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC		= /usr/src/linux
# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
ifeq ($(strip $(KDREV)),)
KDREV		= "test1.0"
endif

## Now to determine the kernel version, normally supplied by make-kpkg
ifeq ($(strip $(KVERS)),)
# Now we need to get the kernel-version somehow (we are not running
# under make-kpkg?)
ifeq ($(strip $(KSRC)),)
$(error Error. I do not know how to determine the kernel version)
else
kversion :=$(shell egrep '^VERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/[^0-9]*\([0-9]*\)/\1/')
kplevel  :=$(shell egrep '^PATCHLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                    sed -e 's/[^0-9]*\([0-9]*\)/\1/')
ksublevel:=$(shell egrep '^SUBLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
EXTRA_VERSION:=$(shell egrep '^EXTRAVERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/EXTRAVERSION[\t ]*=[\t ]*\(.*\)/\1/')
kextra:=$(strip $(EXTRA_VERSION))
HAVE_NEW_MODLIB:=$(shell egrep '\(INSTALL_MOD_PATH\)' \
                            $(KSRC)/Makefile 2>/dev/null )

# If you want to have more than one kernel configuration per kernel
# version, set FLAVOUR in the top level kernel Makefile *before*
# invoking make-kpkg -- it will be appended to UTS_RELEASE in
# version.h (separated by a hyphen). This affects everything -- the
# names and versions of the image, source, headers, and doc packages,
# and where the modules are searched for in /lib/modules.

ifdef FLAVOUR
# uhm - should check if we really have a Makefile capable of Flavours?
endif

FLAVOUR:=$(shell grep ^FLAVOUR $(KSRC)/Makefile 2>/dev/null | \
                  perl -ple 's/FLAVOUR[\s:=]+//g')

ifneq ($(strip $(FLAVOUR)),)
INT_FLAV := -$(FLAVOUR)
FLAV_ARG := FLAVOUR=$(FLAVOUR)
else
INT_FLAV :=
FLAV_ARG :=
endif

## This is the replacement for FLAVOUR
ifneq ($(strip $(APPEND_TO_VERSION)),)
iatv := $(strip $(APPEND_TO_VERSION))
EXTRAV_ARG := EXTRAVERSION=${EXTRA_VERSION}${iatv}
else
iatv :=
EXTRAV_ARG :=
endif

KVERS = $(kversion).$(kplevel).$(ksublevel)$(kextra)$(iatv)$(INT_FLAV)

endif
endif

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')
epoch=$(shell echo $(KVERS) | perl -ne 'm/^(\d+:)/ && print $$1')

# We also need the package version
pversion	= $(shell sed -ne '1s/.*\((.*)\).*/\1/' debian/changelog)
pversion	= $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# KDIST_DEST_DIR is the place where the final .deb package should be made. This is the
# default value, when make-kpkg is used it will supply to real value
KDIST_DEST_DIR		= ..

pmodules = $(package)-modules-$(non_epoch_version)
psource = $(package)-source

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist: kdist_clean kdist_config kdist_image

# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
kdist_config: kdist_config-stamp
kdist_configure: kdist_config-stamp

# try to support all of RTAIs configuring interfaces
CONFIG_TARGET_IF=cli
ifeq ($(CONFIG_TARGET),menuconfig)
CONFIG_TARGET_IF=gui
endif
ifeq ($(CONFIG_TARGET),gconfig)
CONFIG_TARGET_IF=gui
endif
ifeq ($(CONFIG_TARGET),xconfig)
CONFIG_TARGET_IF=gui
endif

kdist_config-stamp:
	sed 's:/usr/realtime:$(RTAI_PREFIX):' base/arch/$(DEB_BUILD_ARCH)/defconfig.in \
		| sed 's:/usr/src/linux:$(KSRC):' \
		> $(CURDIR)/base/arch/$(DEB_BUILD_ARCH)/defconfig
ifeq ($(CONFIG_TARGET_IF),cli)
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	       --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(RTAI_PREFIX) \
	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	       --with-linux-dir=$(KSRC)
endif
ifeq ($(CONFIG_TARGET_IF),gui)
	$(MAKE) -f makefile $(CONFIG_TARGET)
endif
	touch kdist_config-stamp

# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
kdist_image:
	$(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules clean

# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
kdist_clean:
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

#build-arch:  config.status build-arch-stamp
build-arch:                 build-arch-stamp
build-arch-stamp:
	dh_testdir
	# nothing to do here
	touch build-arch-stamp

# the binary-modules target prepares the $(pmodules) package.
# It is called by make-kpkg and *not* during a normal build
binary-modules: kdist_config-stamp
	export DH_OPTIONS='-p$(pmodules)'

	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	#	 >> debian/$(package).substvars
	echo "kpkg:Kernel-Version=$(non_epoch_version)" > \
		debian/$(pmodules).substvars

	# The substvars mechanism seems slightly broken, hack to get around it
	# stolen from the qce-ga package. Yaaaa!
	sed -e 's/$${kpkg\:Kernel\-Version}/$(non_epoch_version)/' \
	debian/control.in > debian/control

	dh_testdir
	${ROOT_CMD} dh_testroot
	dh_clean -k

	# Build the module
	$(MAKE)

	# Install the module
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# correct the strange, not-suitable-for-packaging, fs layout
	mv debian/tmp$(RTAI_PREFIX)/bin debian/tmp/usr
	mv debian/tmp$(RTAI_PREFIX)/lib/lib* debian/tmp/usr/lib
	#chmod -x debian/tmp/usr/lib/liblxrt.la
	rmdir debian/tmp$(RTAI_PREFIX)/lib
	dh_installdirs lib/modules/$(KVERS)/rtai
	mv debian/tmp$(RTAI_PREFIX)/modules/* debian/tmp/lib/modules/$(KVERS)/rtai
	rmdir debian/tmp$(RTAI_PREFIX)/modules

	${ROOT_CMD} dh_installdebconf
	${ROOT_CMD} dh_installchangelogs
	${ROOT_CMD} dh_installdocs
	${ROOT_CMD} dh_strip
	${ROOT_CMD} dh_compress
	${ROOT_CMD} dh_fixperms
	${ROOT_CMD} dh_makeshlibs
	${ROOT_CMD} dh_installdeb
	${ROOT_CMD} dh_shlibdeps -L liblxrt -l debian/tmp/usr/lib
	${ROOT_CMD} dh_gencontrol -- -v$(epoch)$(pversion)+$(KDREV)
	${ROOT_CMD} dh_md5sums
	${ROOT_CMD} dh_builddeb --destdir=$(KPKG_DEST_DIR)


#build-indep: config.status  build-indep-stamp
build-indep:                 build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep
